precision lowp float;

uniform sampler2D u_texture;

varying mediump vec2 v_texCoord;
varying lowp vec4 v_fragmentColor;

void main()
{
    mediump vec4 sourceColor = texture2D(u_texture, v_texCoord);
    float color = 0.3 * sourceColor.r + 0.6 * sourceColor.g + 0.11 * sourceColor.b;
    gl_FragColor = vec4(color, color, color, sourceColor.a) * v_fragmentColor.a;
}
