precision highp float;

attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec4 a_color;

uniform mat4 u_MVPMatrix;
uniform vec2 speedTimesTime;

varying vec2 v_texCoord;
varying vec2 v_noiseUV;

void main() {
    gl_Position = u_MVPMatrix * a_position;
    v_texCoord = a_texCoord;
    v_noiseUV = a_texCoord - speedTimesTime;
}
