precision highp float;

attribute vec4 a_position;
attribute vec2 a_texCoord;

uniform	mat4 u_MVPMatrix;

uniform float u_textureRepeat;
uniform vec2 u_speedTimesTime;

varying vec2 v_texCoord;
varying vec2 v_colorUV;

void main() {
    gl_Position = u_MVPMatrix * a_position;
    v_texCoord = a_texCoord;
    v_colorUV = v_texCoord * u_textureRepeat - u_speedTimesTime;
}
